Bug 502716 - Switch to using PolicyKit
Switch to using PolicyKit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: 502765
  Show dependency treegraph
 
Reported: 2009-05-26 23:59 EDT by Rahul Sundaram
Modified: 2013-11-10 01:54 EST (History)
3 users (show)

See Also:
Fixed In Version: couchdb-1.3.1-3.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:30:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-05-26 23:59:29 EDT
Description of problem:

usermode/consolehelper is deprecated since Fedora has a better framework now
called PolicyKit. Please switch to using that instead

http://fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 John Poelstra 2009-06-08 16:18:22 EDT
Added 'FutureFeature' keyword to avoid rawhide base
Comment 2 Peter Lemenkov 2009-11-21 03:26:15 EST
> Fedora has a better framework now called PolicyKit.

LOL.

After the last PolicyKit events, I'm not sure, that users will trust the PolicyKit maintainer in security-related questions.

I, personally, don't see any benefits.
Comment 3 Rahul Sundaram 2009-11-23 15:35:40 EST
PolicyKit is a framework. PackageKit used that framework in a controversial manner. That doesn't take away the advantages of using PolicyKit including fine grained access control.  Move this RFE upstream if you don't want to invest time on this.
Comment 4 Fedora Update System 2013-09-16 12:00:48 EDT
ejabberd-2.1.13-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-4.fc20
Comment 5 Fedora Update System 2013-09-16 12:01:29 EDT
ejabberd-2.1.13-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-4.fc19
Comment 6 Fedora Update System 2013-10-26 08:14:16 EDT
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-6.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-6.fc19,couchdb-1.3.1-3.fc19,wings-1.4.1-8.git9a2473e.fc19,erlang-js-1.2.2-3.fc19,erlang-esdl-1.3.1-2.fc19,erlang-esasl-0.1-13.20120116git665cc80.fc19,erlang-erlsyslog-0.6.2-4.fc19,erlang-R16B-02.3.fc19
Comment 7 Fedora Update System 2013-10-26 08:15:15 EDT
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-6.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-6.fc20,couchdb-1.3.1-3.fc20,wings-1.4.1-8.git9a2473e.fc20,erlang-js-1.2.2-3.fc20,erlang-esdl-1.3.1-2.fc20,erlang-esasl-0.1-13.20120116git665cc80.fc20,erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20
Comment 8 Fedora Update System 2013-10-26 14:48:02 EDT
Package couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-6.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing couchdb-1.3.1-3.fc20 erlang-erlsyslog-0.6.2-4.fc20 erlang-esasl-0.1-13.20120116git665cc80.fc20 erlang-esdl-1.3.1-2.fc20 erlang-js-1.2.2-3.fc20 ejabberd-2.1.13-6.fc20 erlang-R16B-02.3.fc20 wings-1.4.1-8.git9a2473e.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20029/ejabberd-2.1.13-6.fc20,couchdb-1.3.1-3.fc20,wings-1.4.1-8.git9a2473e.fc20,erlang-js-1.2.2-3.fc20,erlang-esdl-1.3.1-2.fc20,erlang-esasl-0.1-13.20120116git665cc80.fc20,erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-11-06 02:30:07 EST
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-7.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19, riak-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-11-10 01:54:02 EST
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-7.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20, riak-1.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.